summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHaelwenn (lanodan) Monnier <contact@hacktivis.me>2019-02-15 17:15:36 +0100
committerPatrice Clement <monsieurp@gentoo.org>2019-02-16 23:29:18 +0100
commitfc1d3e9fde0dee6a6bc37196621b4b1ebe0e4116 (patch)
treeb29cc7b24f7f30872b677945c47d043d767bdceb
parentwww-plugins/passff: remove old 1.5.1. (diff)
downloadgentoo-fc1d3e9fde0dee6a6bc37196621b4b1ebe0e4116.tar.gz
gentoo-fc1d3e9fde0dee6a6bc37196621b4b1ebe0e4116.tar.bz2
gentoo-fc1d3e9fde0dee6a6bc37196621b4b1ebe0e4116.zip
www-plugins/passff: fix installation method.
Closes: https://bugs.gentoo.org/677984 Signed-off-by: Haelwenn (lanodan) Monnier <contact@hacktivis.me> Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
-rw-r--r--www-plugins/passff/metadata.xml4
-rw-r--r--www-plugins/passff/passff-1.6.3.ebuild21
2 files changed, 6 insertions, 19 deletions
diff --git a/www-plugins/passff/metadata.xml b/www-plugins/passff/metadata.xml
index 234e183d237..af94d61a342 100644
--- a/www-plugins/passff/metadata.xml
+++ b/www-plugins/passff/metadata.xml
@@ -8,10 +8,6 @@
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
-<use>
- <flag name="firefox">Install plugin for <pkg>www-client/firefox</pkg></flag>
- <flag name="firefox-bin">Install plugin for <pkg>www-client/firefox-bin</pkg></flag>
-</use>
<upstream>
<remote-id type="github">passff/passff</remote-id>
</upstream>
diff --git a/www-plugins/passff/passff-1.6.3.ebuild b/www-plugins/passff/passff-1.6.3.ebuild
index 884acd904a9..80c02c29368 100644
--- a/www-plugins/passff/passff-1.6.3.ebuild
+++ b/www-plugins/passff/passff-1.6.3.ebuild
@@ -3,8 +3,6 @@
EAPI=7
-inherit mozextension
-
MY_XPINAME="${P}-fx"
DESCRIPTION="zx2c4 pass manager extension for Firefox"
@@ -14,26 +12,19 @@ SRC_URI="https://addons.mozilla.org/firefox/downloads/file/1681210/${MY_XPINAME}
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="firefox firefox-bin"
+IUSE=""
RDEPEND="www-plugins/passff-host[firefox]"
-REQUIRED_USE="|| ( firefox firefox-bin )"
S="${WORKDIR}"
src_unpack() {
- xpi_unpack "${MY_XPINAME}.xpi"
+ cp "${DISTDIR}/${MY_XPINAME}.xpi" . || die
}
src_install() {
- local MOZILLA_FIVE_HOME
- if use firefox; then
- MOZILLA_FIVE_HOME="/usr/$(get_libdir)/firefox"
- xpi_install "${MY_XPINAME}"
- fi
-
- if use firefox-bin; then
- MOZILLA_FIVE_HOME="/opt/firefox"
- xpi_install "${MY_XPINAME}"
- fi
+ # See https://developer.mozilla.org/en-US/docs/Mozilla/Add-ons/WebExtensions/Distribution_options/Sideloading_add-ons#Installation_using_the_standard_extension_folders
+ insinto "/usr/share/mozilla/extensions/{ec8030f7-c20a-464f-9b0e-13a3a9e97384}/"
+ # passff@invicem.pro is the extension id found in the manifest.json
+ newins "${MY_XPINAME}.xpi" "passff@invicem.pro.xpi"
}